
# input: train file, test file, model prefix, output prefix

train=$1;
test=$2;
model=$3;
output=$4;

for C in 0.1 1 10 100 0.01 0.2 0.08 0.05 ;
do
	./svm_learn -c $C -p 0.01 -j 100 -l transductive_predictions -m 6000 $train $model.$C.mod
        echo "Done training ...";
        ./svm_classify $test $model.$C.mod $output.$C.pred > $output.$C.out;
done
